/* Copyright 2001-2005 The Apache Software Foundation or its licensors, as
* applicable.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*     http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/** THIS FILE MUST BE REMOVED WHEN THE APR-UTIL LIBRARY WILL BE FIXED
 * AND PACKAGED. */

#ifndef MBOX_EXTERNALS_H
#define MBOX_EXTERNALS_H

#define CORE_PRIVATE
#include "apr.h"
#include "apr_lib.h"
#include "apu.h"
#include "apr_time.h"

#ifdef __cplusplus
extern "C" {
#endif

#define APR_DATE_BAD ((apr_time_t)0)

apr_time_t mbox_date_parse_rfc(const char *date);
char *mbox_strcasestr(const char *s1, const char *s2);

#ifdef __cplusplus
}
#endif

#endif /* MBOX_EXTERNALS_H */
